package com.huimv.management.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 年猪基本
 * 
 * @author yinhao
 * @version ${version}
 * @date 2021-07-14 15:11:40
 */
@Data
@TableName("mgt_lairage_record")
public class LairageRecordEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * id
	 */
	@TableId
	private Integer id;
	/**
	 * 耳标号
	 */
	private String eartag;
	/**
	 * 日龄
	 */
	private Integer dayAge;
	/**
	 * 体重
	 */
	private Double weight;
	/**
	 * 是否认养 0未认养 1以认养
	 */
	private Boolean fosterStatus;
	/**
	 * 是否健康
	 */
	private Boolean healthStatus;
	/**
	 * 去向信息
	 */
	private String whereDidYouGo;
	/**
	 * 品种
	 */
	private String breed;
	/**
	 * 性别
	 */
	private String sex;
	/**
	 * 出生日期
	 */
	private Date birthday;
	/**
	 * 产地
	 */
	private String originPlace;
	/**
	 * 牧场id
	 */
	private Integer farmId;
	/**
	 * 猪舍id
	 */
	private Integer pigstyId;
	/**
	 * 单元
	 */
	private Integer unitId;
	/**
	 * 栏期id
	 */
	private Integer periodId;
	/**
	 * 入栏时间
	 */
	private Date inFenceTime;
	/**
	 * 出栏时间
	 */
	private Date outFenceTime;
	/**
	 * 养殖状态 0.育肥 1.出栏
	 */
	private Integer outFenceStatus;
	/**
	 * 母亲耳标
	 */
	private String motherEartag;
	/**
	 * 父亲耳标
	 */
	private String fatherEartag;

	/**
	 * 删除状态 0正常 1已删除
	 */
	private Integer deleted;
	/**
	 * 创建时间
	 */
	private Date gmtCreate;
	/**
	 * 修改时间
	 */
	private Date gmtModified;

}
